package segmentation;

import java.nio.file.Files;
import java.nio.file.Path;
import java.util.HashSet;
import java.util.Set;

/**Helper class to pass batch variables.*/
class BatchInfo {
   final Path script;
   final Set<Path> tmpDirs; //list of temporary directories for cellpose
   final Set<ImageInfo> infos;
   Path src, dst, tmp;
   int nFiles, nPlanes;
   int transmittedChannel;
   ProgressDialog listener;

   BatchInfo(Path path) {
      tmpDirs = new HashSet<>();
      infos = new HashSet<>();
      String os = System.getProperty("os.name");
      Path scriptPath;
      if (os.equals("Linux")) {
         scriptPath = path.resolve("cellpose-GUV.sh");
      } else {
         scriptPath = path.resolve("cellpose-GUV.bat");
      }
      if (Files.exists(scriptPath)) {
         script = scriptPath;
      } else {
         script = null;
      }
   }
}
